Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.util.core
Class BI

    java.lang.Object
      |
      +--cryptix.util.core.BI

public class BI
extends java.lang.Object

Static methods for processing BigInteger utilitarian tasks.

Copyright © 1997 Systemics Ltd on behalf of the Cryptix Development Team.
All rights reserved.

$Revision: 1.1.1.1 $

Since:
  Cryptix 2.2.2
Author:
  Raif S. Naffah

Method Summary
`static java.lang.String` | `dumpString(java.math.BigInteger x)`
`static java.lang.String` | `dumpString(java.math.BigInteger x, java.lang.String m)` Dump a BigInteger as a string, in a format that is easy to read for debugging purposes.
`static java.math.BigInteger` | `fromStream(java.io.InputStream is)` Read a BigInteger from a stream in Big Endian format (MSB first) in a manner compatible with `toStream`.
`static byte[]` | `getMagnitude(java.math.BigInteger x)` Return the magnitude bytes of a BigInteger with no leading 0's.
`static void` | `toStream(java.math.BigInteger x, java.io.OutputStream os)` Write a BigInteger to a stream in Big Endian format (MSB first) in a manner compatible with fromStream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### fromStream

    public static java.math.BigInteger fromStream(java.io.InputStream is)
                                           throws java.io.IOException

  Read a BigInteger from a stream in Big Endian format (MSB first) in a manner compatible with `toStream`.
  Parameters:
    `is` - the input stream.
  Returns:
    a positive BigInteger read from the input stream in Big Endian format (MSB first).
  Throws:
    java.io.IOException - if an I/O error occurs.

### toStream

    public static void toStream(java.math.BigInteger x,
                                java.io.OutputStream os)
                         throws java.io.IOException

  Write a BigInteger to a stream in Big Endian format (MSB first) in a manner compatible with fromStream.
  Parameters:
    `x` - A BigInteger to write to the output stream.
    `os` - The output stream.
  Throws:
    java.io.IOException - If an i/o error occurs.

### getMagnitude

    public static byte[] getMagnitude(java.math.BigInteger x)

  Return the magnitude bytes of a BigInteger with no leading 0's.
  Returns:
    the magnitude bytes of a BigInteger with no leading 0's.

### dumpString

    public static java.lang.String dumpString(java.math.BigInteger x,
                                              java.lang.String m)

  Dump a BigInteger as a string, in a format that is easy to read for debugging purposes. The string m is prepended to the start of each line.
  Parameters:
    `x` - the BigInteger to dump
    `m` - a string to be prepended to each line
  Returns:
    a String containing the dump

### dumpString

    public static java.lang.String dumpString(java.math.BigInteger x)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.